Bug 119553 - if grep matches the result will be echoed
if grep matches the result will be echoed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: redhat-artwork (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
 
Reported: 2004-03-31 07:42 EST by Kaj J. Niemi
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-06 10:35:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaj J. Niemi 2004-03-31 07:42:01 EST
Description of problem:
The postinstall script does the following:

if grep "Red Hat" /etc/redhat-release; then ....

which results in the matching string being echoed to the terminal. I
dont think it is desireable for output to appear in the middle of
up2date or a rpm transaction :) Trivial fix would probably be to
redirect stdout and stderr output to /dev/null or something like this:

if grep "Red Hat" /etc/redhat-release > /dev/null 2>&1; then ...


Version-Release number of selected component (if applicable):
redhat-artwork-0.95-1


Thanks.
Comment 1 Bill Nottingham 2004-04-01 00:38:41 EST
grep -q?
Comment 2 Kaj J. Niemi 2004-04-01 04:33:09 EST
That would work too :)
Comment 3 Alexander Larsson 2004-04-06 10:35:13 EDT
fixed in 0.95-3.

Note You need to log in before you can comment on or make changes to this bug.